Contents

The following Help Topics are available:

Procedures

Adding a Network Peripheral Port

Allocating Link Stations

Assigning a Locally Administered Address

Changing Locally Administered Addresses

Changing the Card Address

Deleting a Network Peripheral Port

Enabling Advanced Job Status

Installing an HP JetDirect Card

Selecting the Adapter

Selecting the Card Address

Selecting the Logging Level

Setting the DLC Timers

Setting the Status Update Interval

Setting the Workstation-Peripheral Connection Type

Troubleshooting

Windows

Add Hewlett-Packard Network Peripheral Port

Advanced Options for All HP Network Ports

Configure Hewlett-Packard Network Peripheral Port

HP Network Peripheral Port Timers

Settings for a Selected HP Network Port

Definitions

Event Log Messages

Printer Status Messages

Terms

For Help on Help, Press F1


Installing an HP JetDirect Card

Installing an HP JetDirect card consists of the following procedures:

1.	Verify the peripheral's initial setup.

2.	Configure and install the HP JetDirect Card.  (Refer to the HP JetDirect Hardware Installation Guide.)

3.	Attach the peripheral to the LAN using the appropriate cable.

4.	Turn on the peripheral.

5.	Make sure the peripheral is online.

6.	Verify that the HP JetDirect card is working by printing a self-test page or configuration plot.  Refer to the peripheral's User's Guide for information on how to generate a self-test page or configuration plot.


Port

A network port is a logical interface between the server and the HP JetDirect Card in the peripheral.  It is similar to LPT1 for the parallel port.


LAN HW Address

LAN HW Address refers to the twelve digit hexadecimal address number printed on the self-test page or configuration plot after the HP JetDirect Card was installed in the HP peripheral.


HP JetDirect Card

HP JetDirect Card refers to the card which plugs into an HP peripheral, such as an HP LaserJet 4Si printer, and provides LAN connectivity.


Verifying the Peripheral's Initial Setup

To verify the peripheral's initial setup:

1.	Turn on the peripheral.

2.	Make sure the peripheral is on-line. The On Line indicator should be lit.

3.	If there is a control panel display, make sure a READY message is displayed.


Peripheral

Peripheral refers to a print device, for example an HP LaserJet 4 printer or an HP DesignJet plotter.


Moving Between Fields

To move between the fields and buttons in the screens, press the [Tab] key, or use the mouse to click on the field or button.


Adding a Network Peripheral Port

Before You Begin

Before you can add a network peripheral port to the system, the Hewlett-Packard JetDirect card must have already been installed in the peripheral.  For information on installation, see Installing an HP JetDirect Card.  The following things must be true:

The HP JetDirect card has been installed in the peripheral.

The peripheral is connected to the network.

The peripheral is turned on and is on-line.

You have a copy of the peripheral self-test page or configuration plot.

Once the hardware is installed, adding a network port and connecting a peripheral to it on the workstation is very similar to connecting a locally attached peripheral.

To Create a Printer

1.	Choose Create Printer from the Printer menu in Print Manager.  The Create Printer dialog box appears.

2.	Enter a name for the peripheral in the Printer Name field.

3.	Choose the driver for the peripheral from the pulldown Driver menu.

4.	Enter a description for the peripheral, if you wish, in the Description field.

5.	Select Network Printers... in the Print to field.  The Network Printers window appears.

6.	Select Hewlett-Packard Network Port. The Add Hewlett-Packard Network Peripheral Port window appears.

7.	Continue with the next section.

To Add a Network Port

1.	Enter a name for the port in the Name field.

2.	Select the card address in the Card Address field that corresponds with the 12-digit number listed on your peripheral self-test page or configuration plot.

3.	Select OK.  The software adds the new network port to the server and you are returned to the Create Printer dialog box.

NOTE:  If you are unable to select OK (meaning the button is grayed out), an error exists in either the port name or card address field.  Once the error is corrected, the button will automatically ungray and you may proceed.

4.	Select OK to exit the Create Printer dialog box.  The Printer Properties dialog box appears.

5.	Select any appropriate features and click OK, or choose Cancel.  The printer window appears in Print Manager and you are ready to print.


Port Name

The name can be up to 255 characters long and may only contain alphanumeric characters (spaces are allowed).  It is recommended that you choose a name that reflects the port's special status, such as NET1 or NETPRINT1.  Do not place a colon (:) after the port name.

If you enter a name with spaces in it, some applications may not be able to print to this port (the applications expect names similar to "LPTx").

NOTE:  The port name you choose must be unique to the system.  It cannot be the name of a system port (for example, LPT1) or the name of a currently configured network port.


Selecting the Card Address

Select the card address in the Card Address field that corresponds with the 12-digit LAN HW address number listed on your peripheral self-test page or configuration plot.  It may take a few moments for the address to appear, especially if the network is busy.

It is possible that other network peripheral addresses may appear in the Card Address field.  This is normal and can happen if other peripherals with HP JetDirect cards are on the same network.

NOTE:  If the card address listed does not appear as a choice on the screen, the HP JetDirect card is not be communicating with the server. Refer to Troubleshooting for information on checking your card.


Deleting a Network Peripheral Port

To delete a port connected to a peripheral:

1.	Select the appropriate printer in Print Manager.

2.	Select Properties... from the Printer menu.  The Printer Properties window appears.

3.	Select a different port in the Print to field.

4.	Click OK.

5.	Select Properties... from the Printer menu.  The Printer Properties window appears.

6.	Click Details on the Properties dialog box.

7.	Highlight the port you wish to delete and click Delete Port.

8.	Click Yes to delete the port.

NOTE:  If you have already deleted the printer, use the procedure below to delete the peripheral port.

To delete a port when the peripheral has already been deleted:

1.	Select Create Printer... from the Printer menu.  The Create Printer window appears.

2.	Select a different port in the Print to field.

3.	Click Details in the Create Printer dialog box.

4.	Highlight the port you wish to delete and click Delete Port.

5.	Click Yes to delete the port.


Troubleshooting

A.	If the address of the JetDirect interface you are using does not appear as a choice in the address list when creating a port, check the card's installation and the network connection.

B.	If "Hewlett-Packard Network Port..." is not an option in the Network Printers dialog box when you are creating a printer, the DLC protocol is not installed.  The DLC protocol is required for HPMON to run.

To install the DLC do the following:

1.	Run the Network applet under Control Panel.

2.	Select Add Software.

3.	Choose DLC Protocol from the list.

4.	Click Continue.

5.	Reboot the system.

After rebooting the system, "Hewlett-Packard Network Port" should appear in the Network Printers dialog box.

C.	If the peripheral's status is "Unavailable" for a long time, another workstation may be connected to the peripheral.  This other workstation may be configured to maintain the peripheral connection continuously.  OS/2 servers running LAN Manager maintain a continuous connection.  You can find out if this is the case by printing a self-test page or configuration plot.  Check the self-test page or configuration plot for status and the server address.

D.	If additional data is printed at the beginning and end of your print job, disable advanced job status .

E.	If changes made to parameters do not seem to take effect, try rebooting the system.  If the parameters still do not take effect, check the event log for messages concerning the parameters.

F.	To return the values of the HP Monitor variables to factory defaults, you may delete all of the variables listed under the Options section in the Registry Editor.  Refer to Editing the Registry.


Advanced Options for All HP Network Ports Window

From this window you may:

Set the DLC timers (DLC Timers).  These include the response timer, the acknowledgment timer, and the inactivity timer.

Select the adapter type (Adapter) currently used.  Your choices are Primary (0) or Secondary (1).  The default is Primary (0).

Set which type of events are logged (Event Logging).  You may select any combination of errors, warning, or information to be recorded in the event log.  The default is to log all errors, warnings, and informational messages.

Set the number of printers (Link Stations Allocated) that may be configured from this workstation (from 1 to 225).  The default is 64.


HP Network Peripheral Port Timers Window

From this window you may:

Set the interval (Status Update Interval) in seconds in which the status will be updated.  The range is from 1 to 32,767.  The default is 60.

Select when the peripheral will drop the connection between the workstation.  The connection may be dropped after each job (Job Based) so every workstation on the network will have access to the printer, or the connection may never be broken (Continuous), in which case users must share the printer through the shared printer defined on the server.  The default is Continuous.


Changing the Card Address

If the HP JetDirect card has been replaced you must change the address currently configured to match the address of the new card.  You cannot change the address while the peripheral is printing.

1.	Select the appropriate printer in Print Manager.

2.	Select the Printer menu from Print Manager.

3.	Choose Properties... from the Printer menu.  The Printer Properties window appears.

4.	Click Settings... on the right side of the window.  The Configure Hewlett-Packard Network Peripheral Port window appears.

5.	Select the card address from the Address field that matches the one listed on the printer's self-test page.

6.	Click OK to exit the Configure Hewlett-Packard Network Peripheral Port window.


Setting the Status Update Interval

The Status Update Interval controls how often status information is updated.  A low value for Status Update Interval will mean that status information is frequently updated.  It will also mean that network traffic is increased slightly.  A larger value for Status Update Interval will mean that status information is updated less frequently, and less network traffic is generated.

To Set the Status Update Interval

1.	Select the appropriate printer in Print Manager.

2.	Select the Printer menu from Print Manager.

3.	Choose Properties... from the Printer menu.  The Printer Properties window appears.

4.	Click Settings... on the right side of the window.  The Configure Hewlett-Packard Network Peripheral Port window appears.

5.	Click Timers... at the bottom of the Configure Hewlett-Packard Network Peripheral Port window.  The HP Network Peripheral Port Timers  window appears.

6.	Enter the interval in seconds in the Status Update Interval field.

7.	Click OK to exit the HP Network Peripheral Port Timers window.

8.	Click OK to exit the Configure Hewlett-Packard Network Peripheral Port window.


Setting the Workstation-Peripheral Connection Type

The Workstation-Peripheral Connection Type controls how the workstation communicates with the peripheral.  If Job Based is selected, the workstation establishes a connection with the printer during each print job.  No connection is maintained between jobs.  This allows other workstations to connect to the peripheral when this workstation is not printing.  If Continuous is selected, the server maintains a connection with the peripheral until either the server or the peripheral is turned off.  This allows a single server to monopolize the peripheral.

To set the Workstation-Peripheral Connection Type:

1.	Select the appropriate printer in Print Manager.

2.	Select the Printer menu from Print Manager.

3.	Choose Properties... from the Printer menu.  The Printer Properties window appears.

4.	Click Timers... on the right side of the window.  The HP Network Peripheral Port Timers window appears.

5.	Click the button in front of Job Based or Continuous in the Connection field.

 Job Based breaks the connection between the workstation and printer after each job.  This allows several workstations on a network to use the HPMON software to print directly to a network-connected peripheral.  Each workstation will only monopolize the printer while it is actually printing.

 Continuous does not ever break the connection between the server and the printer.  Users who wish to print to the printer must used the shared printer defined on the server.  This allows a network administrator to configure one workstation as a print server, and makes it unnecessary for other workstations to run the HPMON software.

6.	Click OK to exit the HP Network Peripheral Port Timers window.

7.	Click OK to exit the Configure Hewlett-Packard Network Peripheral Port window.

Any change to the connection type will take effect when the next job prints.

NOTE:  On a single LAN, only one of these methods should be chosen.  If one workstation is configured for Job Based (as is the HP Monitor utility for Windows for Workgroups), while another workstation is configured for Continuous, the workstation using Job Based will be unable to use the printer after the workstation using Continuous has printed.


Printer Name

This name appears in Print Manager as the name of the printer directed to the port you configured in the Add Hewlett-Packard Network Peripheral Port window.


Settings for a Selected HP Network Port Window

From this window you may:

Assign a locally administered address  to the HP JetDirect interface.

Locally administered addressing is provided for network administrators who use their own conventions for assigning network addresses.  Locally administered addresses are only available for Token Ring cards.

Enable advanced job status .  Advanced job status will ensure the print job is deleted from Print Manager only after the last page has printed.

Advanced job status should only be selected for HP peripherals that support bi-directional communications using PJL, for example HP LaserJet 4 or 4Si printers.


Add Hewlett-Packard Network Peripheral Port Window

From this window you may:

Configure the HP JetDirect interface by:

1.   Entering a name for the peripheral port.

      2.	Selecting the card address that matches the one found on the printer's self-test page or configuration plot.

Continue with settings specific for the selected port by clicking Port....

Continue with setting options for all of the configured peripheral ports by clicking Options....

Continue with setting the status update interval and selecting the method for the peripheral to break the connection with the server/clients by clicking Timers....


Configure Hewlett-Packard Network Peripheral Port Window

From this window you may:

View the name of the peripheral port.  (You cannot change the name once it has been assigned.)

Change the card address if the card in the printer has been replaced.

Continue with settings specific for the selected port by clicking Port....

Continue with setting options for all of the configured peripheral ports by clicking Options....

Continue with setting the status update interval and selecting the method for the printer to break the connection with the server/clients by clicking Timers....


Assigning a Locally Administered Address

Locally adminstered addressing allows the network administrator to set the address of the HP JetDirect interface.  This is useful if the site has a predefined numbering convention for network devices.  You cannot assign a locally administered address while the peripheral is printing.

To assign a locally administered address:

1.	Select the appropriate printer in Print Manager.

2.	Select the Printer menu from Print Manager.

3.	Choose Properties... from the Printer menu.  The Printer Properties window appears.

4.	Click Settings... on the right side of the window.  The Configure Hewlett-Packard Network Peripheral Port window appears.

5.	Click Port... at the bottom of the Configure Hewlett-Packard Network Peripheral Port window.  The Settings for Selected HP Network Port window appears.

6.	Enter a new address in the Locally Administered Address field.

NOTE:  If the Locally Administered Address field is grayed, the HP JetDirect interface for this port does not support locally administered addressing.

7.	Click OK to exit the Settings for Selected HP Network Port window.

8.	Click OK to exit the Configure Hewlett-Packard Network Peripheral Port window.


Locally Administered Address

This address must be a 12-digit number in the range of 4000 0000 0000 to 4000 7999 9999.


Enabling Advanced Job Status

Advanced Job Status provides additional control for HP peripherals that support bi-directional communication, for example HP LaserJet 4 or 4Si printers.  Enabling Advanced Job Status for HP LaserJet 4 and 4Si printers ensures that a job is not deleted in Print Manager until it is in the output tray.

NOTE:  Enabling advanced job status on any other printers causes the job entry to remain in the print queue even though the job has printed.

To enable Advanced Job Status:

1.	Select the appropriate printer in Print Manager.

2.	Select the Printer menu from Print Manager.

3.	Choose Properties... from the Printer menu.  The Printer Properties window appears.

4.	Click Settings... on the right side of the window.  The Configure Hewlett-Packard Network Peripheral Port window appears.

5.	Click Port... at the bottom of the Configure Hewlett-Packard Network Peripheral Port window.  The Settings for Selected HP Network Port window appears.

6.	Check the box in front of Advanced Job Status.

7.	Click OK to exit the Settings for Selected HP Network Port window.

8.	Click OK to exit the Configure Hewlett-Packard Network Peripheral Port window.

Any changes to the advanced job status will take effect when the next job prints.

NOTE:  To disable advanced job status, clear (uncheck) the box in front of Advanced Job Status.


Changing Locally Administered Addresses

You cannot change the address while the peripheral is printing.

To change a locally administered address:

1.	Select the appropriate printer in Print Manager.

2.	Select the Printer menu from Print Manager.

3.	Choose Properties... from the Printer menu.  The Printer Properties window appears.

4.	Click Settings... on the right side of the window.  The Configure Hewlett-Packard Network Peripheral Port window appears.

5.	Click Port... at the bottom of the Configure Hewlett-Packard Network Peripheral Port window.  The Settings for Selected HP Network Port  window appears.

6.	Enter a new address in the Locally Administered Address field.

7.	Click OK to exit the Settings for Selected HP Network Port window.

8.	Click OK to exit the Configure Hewlett-Packard Network Peripheral Port window.


Setting the DLC Timers

The DLC Timers control the network timing parameters.  These values should be changed only if time-outs consistently occur on a heavily loaded network.  Hewlett-Packard recommends not adjusting these values.

To set the DLC Timers:

1.	Select the printer in Print Manager that has the selected card installed.

2.	Select the Printer menu from Print Manager.

3.	Choose Properties... from the Printer menu.  The Printer Properties window appears.

4.	Click Settings... on the right side of the window.  The Configure Hewlett-Packard Network Peripheral Port window appears.

5.	Click Options... at the bottom of the Configure Hewlett-Packard Network Peripheral Port window.  The Advanced Options for All HP Network Ports window appears.

6.	Enter a number between 1 and 10 for the response timer in the Response Timer (T1) field.

7.	Enter a number between 1 and 10 for the acknowledgment timer in the Acknowledgment Timer (T2) field.

8.	Enter a number between 1 and 10 for the inactivity timer in the Inactivity Timer (Ti) field.

9.	Click OK to exit the Advanced Options for All HP Network Ports window.

10.	Click OK to exit the Configure Hewlett-Packard Network Peripheral Port window.

11.	Reboot the system to enable the new timer values.


Selecting the Logging Level

The Logging Level allows you to control the amount of information placed in the Event Log.  The default is to log errors, warnings, and informational messages.

To set the Logging Level:

1.	Select the appropriate printer in Print Manager.

2.	Select the Printer menu from Print Manager.

3.	Choose Properties... from the Printer menu.  The Printer Properties window appears.

4.	Click Settings... on the right side of the window.  The Configure Hewlett-Packard Network Peripheral Port window appears.

5.	Click Options... at the bottom of the Configure Hewlett-Packard Network Peripheral Port window.  The Advanced Options for All HP Network Ports window appears.

6.	Check any combination of boxes in the Logging Level field.  You may select any combination of errors, warning, or information to be recorded in the event log.  The default is to log all errors, warnings, and informational messages.

7.	Click OK to exit the Advanced Options for All HP Network Ports window.

8.	Click OK to exit the Configure Hewlett-Packard Network Peripheral Port window.


Selecting the Adapter

Selecting the Adapter allows the HPMON software to use one of two possible network adapter cards installed in the workstation.  The default is to use the primary adapter (0).

To select the Adapter:

1.	Select the appropriate printer in Print Manager.

2.	Select the Printer menu from Print Manager.

3.	Choose Properties... from the Printer menu.  The Printer Properties window appears.

4.	Click Settings... on the right side of the window.  The Configure Hewlett-Packard Network Peripheral Port window appears.

5.	Click Options... at the bottom of the Configure Hewlett-Packard Network Peripheral Port window.  The Advanced Options for All HP Network Ports window appears.

6.	Click the radio button in front of Primary (0) or Secondary (1).  The default is Primary (0).

7.	Click OK to exit the Advanced Options for All HP Network Ports window.

8.	Click OK to exit the Configure Hewlett-Packard Network Peripheral Port window.

9.	Reboot the system to use the new adapter.


Allocating Link Stations

The number of Link Stations allocated limits the maximum number of network peripherals that can be configured from this workstation.  A large value allows many peripherals to be configured.  A large value may interfere with the operation of other network applications since link stations are a network resource.  One link station is required for each network peripheral.  The default value is 64.

To allocate the number of link stations:

1.	Select the appropriate printer in Print Manager.

2.	Select the Printer menu from Print Manager.

3.	Choose Properties... from the Printer menu.  The Printer Properties window appears.

4.	Click Settings... on the right side of the window.  The Configure Hewlett-Packard Network Peripheral Port window appears.

5.	Click Options... at the bottom of the Configure Hewlett-Packard Network Peripheral Port window.  The Advanced Options for All HP Network Ports window appears.

6.	Enter a number for the link stations in the Link Stations Allocated field.  The number of printers (Link Stations Allocated) that may be configured from this workstation are from 1 to 225.  The default is 64.

7.	Click OK to exit the Advanced Options for All HP Network Ports window.

8.	Click OK to exit the Configure Hewlett-Packard Network Peripheral Port window.

9.	Reboot the system to change the number of allocated link stations.


Response Timer (T1)

You may enter a number between 1 and 10.  The default is 5.


Acknowledgment Timer (T2)

You may enter a number between 1 and 10.  The default is 2.


Inactivity Timer (Ti)

You may enter a number between 1 and 10.  The default is 3.


Terms

HP JetDirect Card

LAN HW Address

Peripheral

Port

Port Name

Printer Name


Printer Status Messages

Door Open

I/O Active

Initializing

Intervention Required

Manual Feed Required

Memory Out

No Toner

Not Available

Offline

Output Full

Page Punt

Paper Jam

Paper Out

Paper Problem

Printing

Processing

Ready

Status Unknown

Test Page

Toner Low

Warming Up


Offline

The peripheral is offline

Press the ONLINE key on the peripheral's control panel to return the peripheral online.


Paper Out

The peripheral is currently out of paper, or the paper tray is not correctly installed.

Fill or reinstall the paper tray.


Manual Feed Required

The peripheral has received a manual feed command.

Please insert the requested media.


Paper Jam

A paper jam has occured in the peripheral.

Clear the paper jam.  Refer to the perpheral's documentation for more information.


Toner Low

The toner cartridge is running out of toner.

Remove the cartridge, gently rock it from side to side, and then return it to the peripheral.  The cartridge may have to be replaced.


No Toner

No toner cartridge is installed, or the toner cartridge is empty.

Install a new cartridge.


Page Punt

The current print job is too complicated for the peripheral to print.

Please remove soft fonts, simplify the job, or add additional memory to the peripheral.


Memory Out

The peripheral has reached its memory limit.

Please remove soft fonts, simplify the job, or add additional memory to the peripheral.


I/O Active

The peripheral is currently processing data from the parallel port.

The peripheral is unavailable until the job from the parallel port is finished.


Processing

The peripheral is processing a print job.


Initializing

The peripheral is checking its internal components.

This message should change within a few minutes.


Warming Up

The peripheral is warming up.

This message should only appear for a short amount of time (under three minutes).


Door Open

The peripherals cover is open, or the cooling fan is not working.

Close the cover.  If the cover is closed check that the cooling fan is running.


Printing

The peripheral is printing a job.


Test Page

The peripheral is printing a self-test page.


Output Full

The output bin is full.

Remove the paper from the output bin.


Not Available

The peripheral is connected to another server.

Printing will not continue until the other server drops the connection to the peripheral.


Intervention Required

An error has occurred within the peripheral requiring user intervention.


Paper Problem

A paper problem has occurred.


Ready

The peripheral is ready to accept print jobs.


Status Unknown

The peripheral is not responding to requests for status information.

The peripheral is either turned off or not available on the network.  Verify that the peripheral is turned on, online, and connected to the network.


Event Log Messages

Errors

1002 OpenAdapter Failed with Error (#)

1004 BufferCreate was Unable to Allocate (#) Bytes of Memory for the DLC

1006 BufferCreate Failed with Error (#)

1008 BufferFree Failed with Error (#)

1010 OpenSap Failed with Error (#)

1012 CloseSap Failed with Error (#)

1014 CloseAdapter Failed with Error (#)

1022 Receive Failed with Error (#)

1030 DM Disconnect was Received for Address (#)

1036 DirStatus Failed with Error (#)

1040 Updating the Registry Failed (#)

1042 Enumerating Ports Failed (#)

1044 Lost Connection with Address (#)

1046 Insufficient Memory or Resources for HP Monitor to Load

1050 DLC Protocol is Not Loaded

Warnings

1016 OpenStation Failed with Error (#)

1018 ConnectStation Failed with Error (#)

1020 CloseStation Failed with Error (#)

1024 TransmitUIFrame Failed with Error (#)

1026 TransmitIFrame Failed with Error (#)

Information

1032 Unknown DLC Status was Received

1034 Unknown Read Event was Received (#)

1038 Adapter Type is (#)

1052 Port (#), Address (#) Created

1054 Port (#), Address (#) Deleted

1056 Port (#), Address (#) Changed to (#)


1002 OpenAdapter Failed with Error (#)

Make sure the DLC protocol is properly installed.


BufferCreate was Unable to Allocate # Bytes of Memory for the DLC
1004 BufferCreate was Unable to Allocate # Bytes of Memory for the DLC

Edit the registry value DlcBufferSize to decrease the amount of memory allocated by HP Monitor, and reboot the system.


BufferCreate Failed with Error (#)
1006 BufferCreate Failed with Error (#)

Make sure the DLC protocol is properly installed.


BufferFree Failed with Error (#)
1008 BufferFree Failed with Error (#)

Make sure the DLC protocol is properly installed.


OpenSap Failed with Error (#)
1010 OpenSap Failed with Error (#)

HP Monitor could not open a service access point.  Make sure the DLC protocol is installed, and reboot the workstation.


CloseSap Failed with Error (#)
1012 CloseSap Failed with Error (#)

Reboot the workstation.


CloseAdapter Failed with Error (#)
1014 CloseAdapter Failed with Error (#)

Reboot the workstation.


OpenStation Failed with Error (#)
1016 OpenStation Failed with Error (#)

If this warning persists, delete the network port and recreate it.


Receive Failed with Error (#)
1022 Receive Failed with Error (#)

Make sure the DLC protocol is properly installed.


TransmitUIFrame Failed with Error (#)
1024 TransmitUIFrame Failed with Error (#)

The status of the peripheral will not be available.


TransmitIFrame Failed with Error (#)
1026 TransmitIFrame Failed with Error (#)

The print job will be restarted.


DirStatus Failed with Error (#)
1036 DirStatus Failed with Error (#)

Make sure the DLC protocol is properly installed, and reboot the workstation.


DM Disconnect was Received for Address #
1030 DM Disconnect was Received for Address #

Printing will continue when the link is reestablished.


Updating the Registry with New Port Name Failed (#)
1040 Updating the Registry Failed (#)

Make sure HP Monitor can access the registry.


Enumerating Ports Failed (#)
1042 Enumerating Ports Failed (#)

HP Monitor cannot guarantee that port names are unique.


Lost Connection with Address #
1044 Lost Connection with Address #

Printing will continue when the connection is reestablished.


Checking the Software Version Number

To check the software version number:

1.	Select the printer in Print Manager that has the selected card installed.

2.	Select the Printer menu from Print Manager.

3.	Choose Properties... from the Printer menu.  The Printer Properties window appears.

4.	Click Settings... on the right side of the window.  The Configure Hewlett-Packard Network Peripheral Port window appears.

5.	Click About on the right side of the window.  The About window appears.

6.	Read the software version number under the HP Network Peripheral Port Monitor title.

7.	Click OK to exit the About window.

8.	Click OK to exit the Configure Hewlett-Packard Network Peripheral Port window.


Editing the Registry

You may change the status update interval for the peripheral, select the adapter used in the workstation, select the type of workstation-peripheral connection you wish to use, set the types of events logged, set the DLC timers, or change the number of link stations used.

To edit the registry:

1.	At the DOS prompt type REGEDT32.  The Registry Editor appears.

2.	Select HKEY_LOCAL_MACHINE.

3.	Select SYSTEM.

4.	Choose CurrentControl Set.

5.	Choose Control.

6.	Select Print.

7.	Select Monitors.

8.	Choose Hewlett-Packard Network Port.

9.	Choose Options.  The list of registry parameters appears.

10.	Double-click on the parameter you want to change.  You may select:

Adapter to select the type of adapter card used in the workstation.  The values are 0 for primary adapter and 1 for the secondary adapter.

ConnectionType to determine the type of workstation-peripheral connection you want to use.  The values are 0 for Job Based and 1 for Continuous.

DlcT1Timer to specify the value for the T1 timer when accessing the DLC.  The value may range from 1 to 10.  The default is 5.

DlcT2Timer to specify the value for the T2 timer when accessing the DLC.  The value may range from 1 to 10.  The default is 2.

DlcTiTimer to specify the value for the Ti timer when accessing the DLC.  The value may range from 1 to 10.  The default is 3.

EventLogging to choose which messages you want to be shown in the event log.  This number ranges from 0 to 7:

0 event logging is disabled.

1 only errors are logged.

2 only warnings are logged.

3 errors and warnings are logged.

4 only information is logged.

5 errors and information are logged.

6 warnings and information are logged.

7 errors, warnings, and information are logged.

LinkStationsUsed to enter the number of link stations you want used.  You may choose a number between 1 and 225.  The default is 64.

name_AJS to enable or disable advanced job status for the port listed as name.  The values are 0 for disabled and 1 for enabled.

StatusUpdateInterval to set how often HP Monitor queries the peripheral for status.  The value may range from 1 to 32,767 seconds.

DlcBufferSize to set the amount of buffer space HP Monitor allocates at initialization.  The default is 160,000 bytes.  This value should be reduced if error 1004 appears in the event log.

11.	Choose Exit from the Registry menu.

12.	Reboot the system to enable any changes that were made in the Registry.


1034 Unknown Read Event was Received (#)

Reboot the workstation.


1046 Insufficient Memory or Resources for HP Monitor to Load

Add memory to the workstation and reboot the workstation.


1050 DLC Protocol is Not Loaded

Install the DLC protocol and reboot the workstation.


1024 TransmitUIFrame Failed with Error (#)

The status of the peripheral will not be available.


1026 TransmitIFrame Failed with Error (#)

The print job will be restarted.


1018 ConnectStation Failed with Error (#)

Make sure the peripheral is turned on, online, and not connected to any other workstation.


1020 CloseStation Failed with Error (#)

If this warning persists, delete the network port and recreate it.